请稍等 ...
×

采纳答案成功!

向帮助你的同学说点啥吧!感谢那些助人为乐的人

本课程常见的问题及解答[持续更新……]

课程上线以来,有很多同学提出了很多问题,我在这里整理一些共性的问题,帮助大家理解学习。

700学员的回馈

不知不觉,本课程已经有700名学员了,当初制定这门课程的时候并没有想到会有这么多人学习。当然相较与Java/Web等课程,学员还远远不够,但区块链本就是新新技术,受众较小。而Fabric就更是区块链中的一个更小的分支了,所以我已经很满足了。

前段时间,有学员问我是否有学习联盟链的平台网站,我搜了一下,不是卖课(当然我也是,哈哈)就是广告。所以我就自己做了一个,算是给大家的回馈。

链盟,大家感兴趣的话,可以共同构建平台生态,让联盟链技术遍地开花。

再次感谢大家!

关于fabric尝鲜运行失败的问题

有很多同学运行尝鲜的时候启动错误,经过排查,可能的问题是,尝鲜使用的docker-compose使用的镜像tag是latest,但是latest现在对应的是1.2版本,跟1.0有些差异。因此我这里给大家说两种方法

第一种:大家可以在运行byfn.sh之前先下载镜像,命令如下:

docker pull hyperledger/fabric-tools:x86_64-1.0.0
docker tag hyperledger/fabric-tools:x86_64-1.0.0 hyperledger/fabric-tools:latest

docker pull hyperledger/fabric-orderer:x86_64-1.0.0
docker tag hyperledger/fabric-orderer:x86_64-1.0.0 hyperledger/fabric-orderer:latest

docker pull hyperledger/fabric-peer:x86_64-1.0.0
docker tag hyperledger/fabric-peer:x86_64-1.0.0 hyperledger/fabric-peer:latest

随后再运行byfn脚本

第二种: 运行byfn脚本的时候带上版本参数

byfn.sh -m generate -c imocc -i 1.0.0
byfn.sh -m up -c imocc -i 1.0.0
byfn.sh -m down -c imocc -i 1.0.0

关于大家对第七章下载sdk依赖包的错误

因为go语言包管理的混乱,导致有些同学代码无法运行。我单独在git.imooc.com开了一个分支,有问题的同学可以下载试用看看,因为sdk有些变动,我注释了跟event相关的代码,但逻辑不变。

应该能解决问题,不能的话我再想办法。

注:使用这个分支大家不用自己下载sdk了

正在回答 回答被采纳积分+3

3回答

hhppbb 2020-03-16 00:19:47
老师 postman 测试的时候 报错failed to create channel context: failed to get discovery ser...
登录后可查看完整回答登录/注册
问题已解决,确定采纳
还有疑问,暂不采纳
意见反馈 帮助中心 APP下载
官方微信